<br/>
<div align="center">
<a href="https://github.com/WirelessAlien/MovieDb">
<img src="https://github.com/WirelessAlien/MovieDB/blob/master/app/src/main/res/mipmap-xxxhdpi/ic_launcher.png" alt="Logo" width="80" height="80">
</a>
<h3 align="center">ShowCase</h3>
<p align="center">
ShowCase (formerly Movie DB) is a fully open-source android application for exploring and organizing your personal collection of films and television series.

<br/>
<br/>
<a href="https://github.com/WirelessAlien/MovieDB/releases">Release .</a>  
<a href="https://github.com/WirelessAlien/MovieDB/issues">Report Bug .</a>
<a href="https://github.com/WirelessAlien/MovieDB/issues">Request Feature</a>
</p>
</div>

## About The Project

It offers synchronization with your TMDB and Trakt account. Once logged in, you can sync your favorites, watchlist, rated movies, and more. It also integrates with a local database to keep track of your shows. You can assign various statuses to each title—such as ‘planned’, ‘watched’, or ‘dropped’—rate them, and note the dates you commenced and concluded each show.

It allows you to filter shows based on genre, release dates, and more. Detailed information on each show, including the cast, crew, and recommendations for similar titles, is also available. 

## Feature

- [x] Synchronization with TMDB
- [x] Add favorite, watchlist, rate with TMDB
- [x] Create List (Public/private) - TMDB
- [x] Synchronization with Trakt
- [x] Add favorite, watchlist, collection, rate with Trakt
- [x] External ratings (like IMDb) for movie/show 
- [x] Offline support (Local database to keep track of your shows)
- [x] Import/Export database
- [x] Support for Material You 
- [x] Get notified of movie and tv show release
- [x] And many more...

See the [open issues](https://github.com/WirelessAlien/MovieDB/issues) for a full list of proposed features (and known issues).

## Installation

You can download and install ShowCase from the following sources:

[<img src="https://github.com/WirelessAlien/ZipXtract/assets/121420261/3857dcf6-8560-4b1a-bfcd-0e12afa18b95"
    alt="Get it on GitHub"
    height="80">](https://github.com/WirelessAlien/MovieDB/releases/latest)
[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
    alt="Get it on F-Droid"
    height="80">](https://f-droid.org/packages/com.wirelessalien.android.moviedb/)

> [!NOTE]
>The Showcase Plus version includes feature of locale database backup to Google Drive, learn more - [here](https://github.com/WirelessAlien/MovieDB/wiki/App-Version). This version is not available in F-Droid, so get it from the the [Releases Section](https://github.com/WirelessAlien/MovieDB/releases/latest)

## Screenshots

<pre>
<img src="https://github.com/user-attachments/assets/ab547d5e-a1ca-4b72-a80d-4414cf68b38b" width="130" height="280" /> <img src="https://github.com/user-attachments/assets/a30a0917-012f-40af-a882-2f1839a40076" width="130" height="280" /> <img src="https://github.com/user-attachments/assets/79f3a547-e66a-4f5d-bdba-8a1ed807df39" width="130" height="280" /> <img src="https://github.com/user-attachments/assets/1cafa7af-f725-424a-8ee2-58434d5c95fa" width="130" height="280" /> <img src="https://github.com/user-attachments/assets/61d0e36c-47d8-4668-a2ea-cdb7a247fee9" width="130" height="280" /> <img src="https://github.com/user-attachments/assets/6830be73-220b-4b37-9083-5e7de5e07300" width="130" height="280" />
</pre>


### Build instructions

This application can be compiled in android studio.
You can compile it in command line with gradle also.
To use your own api key-
1. Get a free API Key at [https://www.themoviedb.org/settings/api](https://www.themoviedb.org/settings/api)
2. Enter your API in `config.properties`

 ```
api_read_access_token = "ENTER YOUR KEY";
 ```
```
api_key = "ENTER YOUR KEY";
 ```
3. Build

## Contributing

Any contributions you make are **greatly appreciated**.

If you have a suggestion that would make this better, please fork the repo and create a pull request. You can also simply open an issue with the tag "enhancement".
Don't forget to give the project a star! Thanks again!

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

## Translate

<a href="https://hosted.weblate.org/engage/showcase/">
<img src="https://hosted.weblate.org/widget/showcase/strings/287x66-white.png" alt="Translation status" />
</a>

## License

Distributed under the GPL-3 License. See [GPL-3 License](https://www.gnu.org/licenses/gpl-3.0.txt) for more information.

## Donate 

<noscript><a href="https://liberapay.com/WirelessAlien/donate"><img alt="Donate using Liberapay" src="https://liberapay.com/assets/widgets/donate.svg"></a></noscript>  

#### Paypal
* [Single Donation](https://www.paypal.com/webapps/billing/plans/subscribe?plan_id=P-42024772MB847863LM7CZV7I)
* [Monthly Donation](https://www.paypal.com/webapps/billing/plans/subscribe?plan_id=P-3H0022989S4788323M7CZXHY)
* [Yearly Donation](https://www.paypal.com/webapps/billing/plans/subscribe?plan_id=P-9L472332EB637292NM7CZXVA)


## Acknowledgments

- The base source code is from [nvb / MovieDB](https://notabug.org/nvb/MovieDB) (GPL-v3)
